Debian Bug report logs - #134388
dialog does not ignore zero-length arguments

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Marco Herrn <herrn@gmx.net>

Date: Sun, 17 Feb 2002 13:33:01 UTC

Severity: normal

Fixed in version dialog/0.9a-20020308-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to "Thomas E. Dickey" <dickey@invisible-island.net>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Boot Floppies Team <debian-boot@lists.debian.org>, modconf@packages.qa.debian.org:
Bug#134388; Package modconf. Full text and rfc822 format available.

Acknowledgement sent to Marco Herrn <herrn@gmx.net>:
New Bug report received and forwarded. Copy sent to Boot Floppies Team <debian-boot@lists.debian.org>, modconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Herrn <herrn@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: modconf shouldn't only depend on whiptail, but whiptail | dialog
Date: Sun, 17 Feb 2002 14:21:22 +0100
Package: modconf
Version: 0.2.39
Severity: wishlist

If it is possible to use dialog, modconf should have a dependency on
whiptail or dialog, not only whiptail.
That is important for me, because my whiptail version is somewhat broken
(see #130039). 

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux darkstar 2.4.17 #1 Mon Feb 11 01:24:56 CET 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages modconf depends on:
ii  modutils                      2.4.13-3   Linux module utilities.
ii  whiptail                      0.50.17-9  Displays user-friendly dialog boxe




Information forwarded to debian-bugs-dist@lists.debian.org, Boot Floppies Team <debian-boot@lists.debian.org>, modconf@packages.qa.debian.org:
Bug#134388; Package modconf. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to Boot Floppies Team <debian-boot@lists.debian.org>, modconf@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 134388@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Marco Herrn <herrn@gmx.net>, 134388@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#134388: modconf shouldn't only depend on whiptail, but whiptail | dialog
Date: Sun, 17 Feb 2002 14:40:37 +0100
retitly 134388 dialog does not ignore zero-length arguments
severity 134388 normal
reassign 134388 dialog
quit

#include <hallo.h>
Marco Herrn wrote on Sun Feb 17, 2002 um 02:21:22PM:

> If it is possible to use dialog, modconf should have a dependency on
> whiptail or dialog, not only whiptail.
> That is important for me, because my whiptail version is somewhat broken
> (see #130039). 

I did already try to make modconf work with dialog. Failre.  Would be
not a problem if dialog would not break on empty arguments. Currently,
whiptail allows this and just ignores them, dialog does not.

Gruss/Regards,
Eduard.
-- 
Entscheide Dich im Zweifel für das Richtige, dann kann Dir nichts
passieren!



Severity set to `normal'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `modconf' to `dialog'. Request was from Eduard Bloch <edi@gmx.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@unex.es>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #19 received at 134388-forwarded@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: "Thomas E. Dickey" <dickey@invisible-island.net>
Cc: 134388-forwarded@bugs.debian.org, Marco Herrn <herrn@gmx.net>, Eduard Bloch <edi@gmx.de>
Subject: Bug#134388: dialog does not ignore zero-length arguments (fwd)
Date: Wed, 20 Feb 2002 21:36:35 +0100 (CET)
Hello.

The following bug report was reassigned to `dialog':

Marco Herrn <herrn@gmx.net> writes:
---------------------------------------------------------------------
Package: modconf
Version: 0.2.39
Severity: wishlist

If it is possible to use dialog, modconf should have a dependency on
whiptail or dialog, not only whiptail.
That is important for me, because my whiptail version is somewhat broken
(see #130039).
---------------------------------------------------------------------
Eduard Bloch <edi@gmx.de> replies:
---------------------------------------------------------------------
I did already try to make modconf work with dialog. Failre.  Would be
not a problem if dialog would not break on empty arguments. Currently,
whiptail allows this and just ignores them, dialog does not.
---------------------------------------------------------------------
and he reassigned the bug to `dialog'.

[ Note: Debian has dialog version 0.9a-20011202 ].

Thanks.




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marco Herrn <herrn@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 134388-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 134388-close@bugs.debian.org
Subject: Bug#134388: fixed in dialog 0.9a-20020308-1
Date: Sat, 09 Mar 2002 20:02:06 -0500
We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_0.9a-20020308-1.diff.gz
  to pool/main/d/dialog/dialog_0.9a-20020308-1.diff.gz
dialog_0.9a-20020308-1.dsc
  to pool/main/d/dialog/dialog_0.9a-20020308-1.dsc
dialog_0.9a-20020308-1_i386.deb
  to pool/main/d/dialog/dialog_0.9a-20020308-1_i386.deb
dialog_0.9a-20020308.orig.tar.gz
  to pool/main/d/dialog/dialog_0.9a-20020308.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 134388@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.6
Date: Sun, 10 Mar 2002 01:28:30 +0100
Source: dialog
Binary: dialog
Architecture: source i386
Version: 0.9a-20020308-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 134388
Changes: 
 dialog (0.9a-20020308-1) unstable; urgency=low
 .
   * New upstream release. Some changes:
   - Added --timeout option.
   - checklist and menubox now ignore empty button labels. (Closes: #134388).
     This should allow modconf to depend on dialog or whiptail.
   * Added some more examples to /usr/share/doc/dialog/examples.
Files: 
 1229ab0b5cee51a2c4a6a418770eae9d 628 misc optional dialog_0.9a-20020308-1.dsc
 cf060de54b5dac58adab3d673d6d023c 200101 misc optional dialog_0.9a-20020308.orig.tar.gz
 e3942ecac89e88b18b4008151634b376 6081 misc optional dialog_0.9a-20020308-1.diff.gz
 337a1332b3641a24fe38d33dfe19302b 103408 misc optional dialog_0.9a-20020308-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8iquVd9Uuvj7yPNYRAoToAKCPAgXsEpNTm7wIN5uuHyu60JilywCgpQ2I
OHuTq8zMyDlOzlyDcQ43UNE=
=x+Cp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:26:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.